Developer Hub
Request Demo
Request Demo
Support
  1. Configuration
  • Getting Started
    • Introduction
  • API Reference
    • Admins
      • Bulk Admins Download API
    • Business Owners
      • Bulk Business Owners Download API
      • Bulk Business Owners Upload API
    • Configuration
      • Bulk Entity Finding Rules Download API
        POST
      • Bulk Custom Insights (Entity Rules) Download API
        POST
      • Bulk Filters Download API
        POST
      • Bulk Findings Download API
        POST
      • Get Branding Information
        GET
    • Employees
      • Bulk Employees Download API
      • Bulk Employees Upload API
    • Entitlements
      • Bulk Entitlements Download API
      • Bulk Entitlements Upload API
    • Entities
      • Bulk Entities Download API
      • Bulk Entities Upload API
      • Bulk Entities + Entity-Relations Zip Upload API
    • EntityInsights
      • Bulk Entity Insights Download API
    • EntityRelations
      • Bulk Entity Relations Download API
      • Bulk Entity Relations Upload API
    • EntityRBAC
      • Bulk Entity RBAC Download API
    • Integrations
      • Bulk Integrations Download API
    • Purposes
      • Bulk Purposes Download API
    • Relations
      • Bulk Relations Upload API
    • Requests
      • Bulk Requests Download API
    • Reviews
      • Bulk Reviews Download API
  • Relations
    • Bulk Employee Relations Upload API
      POST
    • Bulk Employee Relations Download API
      POST
  • Schemas
    • Schemas
      • AdminsDownloadURLRequest
      • BusinessOwnersDownloadURLRequest
      • EntitiesDownloadURLRequest
      • EntitiesUploadURLRequest
      • EntitlementDownloadURLRequest
      • EntitlementUploadURLRequest
      • EntityRelationsDownloadURLRequest
      • EntityRelationsUploadURLRequest
      • Error
      • FindingsDownloadURLRequest
      • UploadURLResponse
    • DownloadURLResponse
    • EmployeeRelationsDownloadURLRequest
    • ReviewDownloadURLRequest
    • RequestsDownloadURLRequest
    • EntitiesBulkUploadURLRequest
    • Logo
    • BrandingResponse
  1. Configuration

Bulk Findings Download API

POST
https://balkanid.app/api/rest/v0/findings/download-url

BalkanID Findings Download CSV Format#

In this section, we will explain the BalkanID Findings CSV format.

Sample CSV#

IDUserIdentityLabelsIntegrationNameDescriptionValueMetadataReasonRuleAssigned ToWorkflow StatusCreated AtUpdated AtActivity Log
01HQQV71BBDVVN5NVQ8Q7X1A3Xjohn.doe@balkan.idjohn.doe@balkan.id[[{"key": "entitlement/overentitled", "value": {"text": "Overentitled"}, "explanation": null}]]google/01HQQTMRVQGT0M4ARWR9YN3BP6John is OverentitledJohn is overentitled on Google, since they haves access to groups that are not usually found with people of their job title.{}[]Testrule_01ABCD123john.doe@balkan.idstarted2024-02-28T12:32:16.235468Z2024-04-30T12:48:04.346933Z[{"Actor Email":"patrick@example.com","Actor Name":"Patrick","Activity Metadata":[[{"action": "accept_risk", "comments": "Dummy comment", "action_type": "default"}]],"Previous Status":","Status":"created","Timestamp":"2024-02-28T12:48:06+00:00"}, {"Actor Email":"patrick@example.com","Actor Name":"Patrick","Activity Metadata":[[{"action": "review", "comments": ", "action_type": "default"}]],"Previous Status":"created","Status":"started","Timestamp":"2024-02-28T12:44:37+00:00"}, {"Actor Email":"patrick@example.com","Actor Name":"Patrick","Activity Metadata":[[{"action": "playbook", "comments": "Global Request Playbook", "action_type": "default"}]],"Previous Status":"created","Status":"started","Timestamp":"2024-04-08T17:43:57+00:00"}, {"Actor Email":"patrick@example.com","Actor Name":"Patrick","Activity Metadata":[[{"action": "webhook", "comments": "Global Review Webhook", "action_type": "default"}]],"Previous Status":"created","Status":"started","Timestamp":"2024-04-08T17:48:49+00:00"}, {"Actor Email":null,"Actor Name":"System","Activity Metadata":null,"Previous Status":"started","Status":"started","Timestamp":"2024-04-30T12:48:04+00:00"}, {"Actor Email":null,"Actor Name":"System","Activity Metadata":null,"Previous Status":null,"Status":"created","Timestamp":"2024-02-28T12:32:16+00:00"}]
Column Definitions#
Column NameColumn Description
IDRequired - A unique identifier for the finding. This is the internal balkan id of the finding
UserRequired - The user associated with the finding.
IdentityOptional - The identity associated with the finding.
LabelsOptional - The labels associated with the finding. It is an array of array of label object
IntegrationRequired - The integration associated with the finding.
EntityRequired - The entity associated with the finding.
NameOptiona - The name of the finding.
DescriptionOptional - The description of the finding.
ValueOptional - The value of the finding.
SeverityOptional - The severity of the finding.
RuleRequired - The ID of the entity finding rule associated with the finding.
MetadataOptional - The metadata of the finding.
ReasonOptional - The reason of the finding.
Assigned ToRequired - The user to whom the finding is assigned.
Workflow StatusRequired - The status of the finding.
Created AtRequired - The timestamp when the finding was created.
Updated AtRequired - The timestamp when the finding was updated.

Download the CSV file via the pre-signed URL#

After retrieving the pre-signed URL in the previous step, all that remains is to download the CSV in BalkanID Findings CSV format from the pre-signed URL.
To use the polling URL, first send an HTTP request with the method HEAD to the pollingUrl.
If the response status code is 404, the file is not ready, and you should retry this polling request after a delay.
If the response status code is 200, the file is ready, and you may proceed to download the CSV from the received url.

Request

Authorization
API Key
Add parameter in header
X-API-KEY-ID
Example:
X-API-KEY-ID: ********************
API Key
Add parameter in header
X-API-KEY-SECRET
Example:
X-API-KEY-SECRET: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "findingRuleID": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://balkanid.app/api/rest/v0/findings/download-url' \
--header 'X-Api-Key-ID;' \
--header 'X-Api-Key-Secret;' \
--header 'X-API-KEY-ID: <api-key>' \
--header 'X-API-KEY-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "findingRuleID": "string"
}'

Responses

🟢200OK
application/json
download url response
Bodyapplication/json

Example
{
    "url": "string",
    "pollingUrl": "string"
}
⚪defaultServer Error
Modified at 2026-11-06 13:38:07
Previous
Bulk Filters Download API
Next
Get Branding Information
Built with